<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSSFEventFactory (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSSFEventFactory (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFEventFactory.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/eventusermodel/FormatTrackingHSSFListener.html"
               title="class in org.apache.poi.hssf.eventusermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFListener.html"
               title="interface in org.apache.poi.hssf.eventusermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/eventusermodel/HSSFEventFactory.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFEventFactory.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.eventusermodel</div>
    <h2 title="Class HSSFEventFactory" class="title">Class HSSFEventFactory</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hssf.eventusermodel.HSSFEventFactory</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">HSSFEventFactory</span>
extends java.lang.Object</pre>
                <div class="block">Low level event based HSSF reader. Pass either a DocumentInputStream to
                    process events along with a request object or pass a POIFS POIFSFileSystem to
                    processWorkbookEvents along with a request.

                    This will cause your file to be processed a record at a time. Each record with
                    a static id matching one that you have registered in your HSSFRequest will be passed
                    to your associated HSSFListener.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFEventFactory.html#HSSFEventFactory--">HSSFEventFactory</a></span>()</code>
                                    <div class="block">Creates a new instance of HSSFEventFactory</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFEventFactory.html#abortableProcessEvents-org.apache.poi.hssf.eventusermodel.HSSFRequest-java.io.InputStream-">abortableProcessEvents</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFRequest.html"
                                        title="class in org.apache.poi.hssf.eventusermodel">HSSFRequest</a>&nbsp;req,
                                    java.io.InputStream&nbsp;in)</code>
                                    <div class="block">Processes a DocumentInputStream into essentially Record events.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFEventFactory.html#abortableProcessWorkbookEvents-org.apache.poi.hssf.eventusermodel.HSSFRequest-org.apache.poi.poifs.filesystem.DirectoryNode-">abortableProcessWorkbookEvents</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFRequest.html"
                                        title="class in org.apache.poi.hssf.eventusermodel">HSSFRequest</a>&nbsp;req,
                                    <a href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                       title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;dir)</code>
                                    <div class="block">Processes a file into essentially record events.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFEventFactory.html#abortableProcessWorkbookEvents-org.apache.poi.hssf.eventusermodel.HSSFRequest-org.apache.poi.poifs.filesystem.POIFSFileSystem-">abortableProcessWorkbookEvents</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFRequest.html"
                                        title="class in org.apache.poi.hssf.eventusermodel">HSSFRequest</a>&nbsp;req,
                                    <a href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                       title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;fs)</code>
                                    <div class="block">Processes a file into essentially record events.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFEventFactory.html#processEvents-org.apache.poi.hssf.eventusermodel.HSSFRequest-java.io.InputStream-">processEvents</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFRequest.html"
                                        title="class in org.apache.poi.hssf.eventusermodel">HSSFRequest</a>&nbsp;req,
                                    java.io.InputStream&nbsp;in)</code>
                                    <div class="block">Processes a DocumentInputStream into essentially Record events.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFEventFactory.html#processWorkbookEvents-org.apache.poi.hssf.eventusermodel.HSSFRequest-org.apache.poi.poifs.filesystem.DirectoryNode-">processWorkbookEvents</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFRequest.html"
                                        title="class in org.apache.poi.hssf.eventusermodel">HSSFRequest</a>&nbsp;req,
                                    <a href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                       title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;dir)</code>
                                    <div class="block">Processes a file into essentially record events.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFEventFactory.html#processWorkbookEvents-org.apache.poi.hssf.eventusermodel.HSSFRequest-org.apache.poi.poifs.filesystem.POIFSFileSystem-">processWorkbookEvents</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFRequest.html"
                                        title="class in org.apache.poi.hssf.eventusermodel">HSSFRequest</a>&nbsp;req,
                                    <a href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                       title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;fs)</code>
                                    <div class="block">Processes a file into essentially record events.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HSSFEventFactory--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HSSFEventFactory</h4>
                                <pre>public&nbsp;HSSFEventFactory()</pre>
                                <div class="block">Creates a new instance of HSSFEventFactory</div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="processWorkbookEvents-org.apache.poi.hssf.eventusermodel.HSSFRequest-org.apache.poi.poifs.filesystem.POIFSFileSystem-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processWorkbookEvents</h4>
                                <pre>public&nbsp;void&nbsp;processWorkbookEvents(<a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFRequest.html"
                                        title="class in org.apache.poi.hssf.eventusermodel">HSSFRequest</a>&nbsp;req,
                                  <a href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                     title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;fs)
                           throws java.io.IOException</pre>
                                <div class="block">Processes a file into essentially record events.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>req</code> - an Instance of HSSFRequest which has your registered
                                        listeners
                                    </dd>
                                    <dd><code>fs</code> - a POIFS filesystem containing your workbook</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if the workbook contained errors</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="processWorkbookEvents-org.apache.poi.hssf.eventusermodel.HSSFRequest-org.apache.poi.poifs.filesystem.DirectoryNode-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processWorkbookEvents</h4>
                                <pre>public&nbsp;void&nbsp;processWorkbookEvents(<a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFRequest.html"
                                        title="class in org.apache.poi.hssf.eventusermodel">HSSFRequest</a>&nbsp;req,
                                  <a href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                     title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;dir)
                           throws java.io.IOException</pre>
                                <div class="block">Processes a file into essentially record events.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>req</code> - an Instance of HSSFRequest which has your registered
                                        listeners
                                    </dd>
                                    <dd><code>dir</code> - a DirectoryNode containing your workbook</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if the workbook contained errors</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="abortableProcessWorkbookEvents-org.apache.poi.hssf.eventusermodel.HSSFRequest-org.apache.poi.poifs.filesystem.POIFSFileSystem-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>abortableProcessWorkbookEvents</h4>
                                <pre>public&nbsp;short&nbsp;abortableProcessWorkbookEvents(<a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFRequest.html"
                                        title="class in org.apache.poi.hssf.eventusermodel">HSSFRequest</a>&nbsp;req,
                                            <a href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                               title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;fs)
                                     throws java.io.IOException,
                                            <a href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFUserException.html"
                                               title="class in org.apache.poi.hssf.eventusermodel">HSSFUserException</a></pre>
                                <div class="block">Processes a file into essentially record events.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>req</code> - an Instance of HSSFRequest which has your registered
                                        listeners
                                    </dd>
                                    <dd><code>fs</code> - a POIFS filesystem containing your workbook</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>numeric user-specified result code.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFUserException.html"
                                            title="class in org.apache.poi.hssf.eventusermodel">HSSFUserException</a></code>
                                        - if the processing should be aborted
                                    </dd>
                                    <dd><code>java.io.IOException</code> - if the workbook contained errors</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="abortableProcessWorkbookEvents-org.apache.poi.hssf.eventusermodel.HSSFRequest-org.apache.poi.poifs.filesystem.DirectoryNode-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>abortableProcessWorkbookEvents</h4>
                                <pre>public&nbsp;short&nbsp;abortableProcessWorkbookEvents(<a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFRequest.html"
                                        title="class in org.apache.poi.hssf.eventusermodel">HSSFRequest</a>&nbsp;req,
                                            <a href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                               title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;dir)
                                     throws java.io.IOException,
                                            <a href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFUserException.html"
                                               title="class in org.apache.poi.hssf.eventusermodel">HSSFUserException</a></pre>
                                <div class="block">Processes a file into essentially record events.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>req</code> - an Instance of HSSFRequest which has your registered
                                        listeners
                                    </dd>
                                    <dd><code>dir</code> - a DirectoryNode containing your workbook</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>numeric user-specified result code.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFUserException.html"
                                            title="class in org.apache.poi.hssf.eventusermodel">HSSFUserException</a></code>
                                        - if the processing should be aborted
                                    </dd>
                                    <dd><code>java.io.IOException</code> - if the workbook contained errors</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="processEvents-org.apache.poi.hssf.eventusermodel.HSSFRequest-java.io.InputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processEvents</h4>
                                <pre>public&nbsp;void&nbsp;processEvents(<a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFRequest.html"
                                        title="class in org.apache.poi.hssf.eventusermodel">HSSFRequest</a>&nbsp;req,
                          java.io.InputStream&nbsp;in)</pre>
                                <div class="block">Processes a DocumentInputStream into essentially Record events.

                                    If an <code>AbortableHSSFListener</code> causes a halt to processing during this
                                    call
                                    the method will return just as with <code>abortableProcessEvents</code>, but no
                                    user code or <code>HSSFUserException</code> will be passed back.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>req</code> - an Instance of HSSFRequest which has your registered
                                        listeners
                                    </dd>
                                    <dd><code>in</code> - a DocumentInputStream obtained from POIFS's POIFSFileSystem
                                        object
                                    </dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html#createDocumentInputStream-java.lang.String-"><code>POIFSFileSystem.createDocumentInputStream(String)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="abortableProcessEvents-org.apache.poi.hssf.eventusermodel.HSSFRequest-java.io.InputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>abortableProcessEvents</h4>
                                <pre>public&nbsp;short&nbsp;abortableProcessEvents(<a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFRequest.html"
                                        title="class in org.apache.poi.hssf.eventusermodel">HSSFRequest</a>&nbsp;req,
                                    java.io.InputStream&nbsp;in)
                             throws <a href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFUserException.html"
                                       title="class in org.apache.poi.hssf.eventusermodel">HSSFUserException</a></pre>
                                <div class="block">Processes a DocumentInputStream into essentially Record events.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>req</code> - an Instance of HSSFRequest which has your registered
                                        listeners
                                    </dd>
                                    <dd><code>in</code> - a DocumentInputStream obtained from POIFS's POIFSFileSystem
                                        object
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>numeric user-specified result code.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFUserException.html"
                                            title="class in org.apache.poi.hssf.eventusermodel">HSSFUserException</a></code>
                                        - if the processing should be aborted
                                    </dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html#createDocumentInputStream-java.lang.String-"><code>POIFSFileSystem.createDocumentInputStream(String)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFEventFactory.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/eventusermodel/FormatTrackingHSSFListener.html"
               title="class in org.apache.poi.hssf.eventusermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFListener.html"
               title="interface in org.apache.poi.hssf.eventusermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/eventusermodel/HSSFEventFactory.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFEventFactory.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
